var helpers = (function () {
    function helpers() {
    }
    helpers.TryParse = function (s, result) {
        result = Number(s);
        return {
            refs: [result],
            result: !isNaN(result)
        };
    };
    helpers.Compare = function (string1, string2, ignoreCase, useLocale, useOrdinal) {
        if (ignoreCase === void 0) { ignoreCase = false; }
        if (useLocale === void 0) { useLocale = false; }
        if (useOrdinal === void 0) { useOrdinal = false; }
        console.assert(!useOrdinal);
        if (ignoreCase) {
            if (useLocale) {
                string1 = string1.toLocaleLowerCase();
                string2 = string2.toLocaleLowerCase();
            }
            else {
                string1 = string1.toLowerCase();
                string2 = string2.toLowerCase();
            }
        }
        return string1 === string2 ? 0 : -1;
    };
    helpers.Format = function (format) {
        var args = [];
        for (var _i = 1; _i < arguments.length; _i++) {
            args[_i - 1] = arguments[_i];
        }
        for (var s in args) {
            var key = "{" + s + "}";
            while (format.indexOf(key) >= 0) {
                format = format.replace(key, args[s]);
            }
        }
        return format;
    };
    helpers.guid = function () {
        return this._p8() + this._p8(true) + this._p8(true) + this._p8();
    };
    helpers._p8 = function (s) {
        if (s === void 0) { s = false; }
        var p = (Math.random().toString(16) + "000000000").substr(2, 8);
        return s ? "-" + p.substr(0, 4) + "-" + p.substr(4, 4) : p;
    };
    helpers.showMessage = function (msg) {
        helpers.MessageToHtml(document.getElementById('message'), msg);
        var tag = "#MessageBox";
        $(tag).modal('show');
    };
    helpers.showErrorMessage = function (msg) {
        helpers.MessageToHtml(document.getElementById('errorMessage'), msg);
        var tag = "#errorWindow";
        $(tag).modal('show');
    };
    helpers.MessageToHtml = function (element, msg) {
        while (element.firstChild)
            element.removeChild(element.firstChild);
        var paragraphs = msg.split("\n");
        for (var i = 0; i < paragraphs.length; i++) {
            var paragraph = document.createElement("p");
            paragraph.textContent = paragraphs[i];
            element.appendChild(paragraph);
        }
    };
    return helpers;
}());
